Installing “pecl intl” (Ubuntu 12.04)

Some PHP software, such as MediaWiki, prefer for servers to have the “intl” PECL package to be installed. On Ubuntu you can insall it as a precompiled package from the official repositories:

If you start from a clean Ubuntu install and you want to build the package yourself, you might not have all of the dependencies installed. Run this command to make sure you have all of the prerequisites installed:

To build the package itself:

You might also have to restart your webserver if you manually build the package. For Apache, run:

One thought on “Installing “pecl intl” (Ubuntu 12.04)

  1. doalogue say:

    Thank! this worked great.

Leave a Reply

Your email address will not be published. Required fields are marked *